import api from "@/api/http.js";
var host = process.env.VUE_APP_Host; // 获取不同环境下不同的api路径
var host2 = process.env.VUE_APP_Url;
console.log(process.env);
console.log(host);
console.log("process.env.VUE_APP_Url: ", process.env.VUE_APP_Host)

// 视频列表api
let videoApi = {
  /**
   * 获取视频种类
   **/
  VideoGetItemizeList() {
    return api.post(host + "/api/Video/GetItemizeList");
  },
  /**
     * 获取课程列表页
     * @example
     *  obj {
            typeid (string, optional): 分类id ,
            status (integer, optional): -1 全部 0不收费 1收费 ,
            doctorid (string, optional),
            pageIndex (integer, optional): 页码 ,
            pageSize (integer, optional): 页大小 ,
            name (string, optional): 关键词
        }
     **/
  VideoGetList(obj) {
    return api.post(host + "/api/Video/GetList", obj);
  },
  /**
   * 获取课程详情
   * @param {string} id 课程id
   **/
  VideoGetDTO(id) {
    return api.post(host + "/api/Video/GetDTO", { id });
  },
  /**
     * 新增视频订单
     * @example
     * obj {
            curriCulumId (string, optional): 课程的id ,
            videoId (string, optional): 视频的id 单集购买的时候需要 ,
            type (integer, optional): 1，课程购买 2单集购买
        }
     **/
  VideoAddOrder(obj) {
    return api.post(host + "/api/Video/AddOrder", obj);
  },
  /**
     * 获取用户的关注医生列表
     * @example
     * obj {
            pageIndex (integer, optional): 页码 ,
            pageSize (integer, optional): 页大小 ,
            name (string, optional): 关键词
        }
     **/
  VideoGetFollowList(obj) {
    return api.post(host + "/api/Video/GetFollowList", obj);
  },
  /**
     * 获取用户的收藏列表
     * @example 
     * obj {
            pageIndex (integer, optional): 页码 ,
            pageSize (integer, optional): 页大小 ,
            name (string, optional): 关键词
        }
     **/
  VideoGetCollectionList(obj) {
    return api.post(host + "/api/Video/GetCollectionList", obj);
  },
  /**
   * 用户新增医生关注
   * @param {string} id 医生id
   **/
  VideoAddFollow(id) {
    return api.post(host + "/api/Video/AddFollow", { id });
  },
  /**
   * 用户取消医生关注
   * @param {string} id 医生id
   **/
  VideoCancelFollow(id) {
    return api.post(host + "/api/Video/CancelFollow", { id });
  },
  /**
   * 用户新增视频收藏
   * @param {string} id 课程id
   **/
  VideoAddCollection(id) {
    return api.post(host + "/api/Video/AddCollection", { id });
  },
  /**
   * 用户取消视频收藏
   * @param {string} id 课程id
   **/
  VideoCancelCollection(id) {
    return api.post(host + "/api/Video/CancelCollection", { id });
  },

  /**
     * 获取我收藏的视频
     *obj{
     *     pageIndex (integer, optional): 页码 ,
             pageSize (integer, optional): 页大小 ,
             name (string, optional): 关键词
     *}
     *
    * */
  GetCollectionList(obj) {
    return api.post(host + "/api/Video/GetCollectionList", obj);
  },

  /**
     * 获取我购买的视频
     * * @example
     *  obj {
           typeid (string, optional): 分类id ,
            status (integer, optional): -1 全部 0不收费 1收费 ,
            doctorid (string, optional),
            pageIndex (integer, optional): 页码 ,
            pageSize (integer, optional): 页大小 ,
            name (string, optional): 关键词
        }
     * **/
  GetMyList(obj) {
    return api.post(host + "/api/Video/GetMyList", obj);
  },
  // 获取热门搜索关键词
  GetListHotsearch() {
    return api.post(host + "/api/Video/GetListHotsearch");
  },
  // 新增播放次数
  AddFrequencyOfPlay(videoId) {
    return api.post(host + "/api/Program/AddPlay", { id: videoId });
  }
};

let posterFission = {
  /*
    获取排行榜列表
    obj{
        pageIndex (integer, optional): 页码 ,
        pageSize (integer, optional): 页大小 ,
        name (string, optional): 关键词
    }
    */
  FollowEventGetList(obj) {
    return api.post(host + "/api/FollowEvent/GetList", obj);
  },

  /*
    获取用户所有奖品
    */
  FollowEventGetOrders() {
    return api.post(host + "/api/FollowEvent/GetOrders");
  },

  /*
    获取奖品详情
    */
  FollowEventGetPrizeOrder(id) {
    return api.post(host + "/api/FollowEvent/GetPrizeOrder", { id: id });
  },
  /**
   * 获取用户所有地址
   **/
  GetAddressList() {
    return api.post(host + "/api/FollowEvent/GetAddressList");
  },
  /**
     * 新增地址
     * @example {
        "Name": "string",
        "Phone": "string",
        "AreaCode": "string",
        "Addr": "string",
        "IsDefault": true
        }
     **/
  AddAddress(obj) {
    return api.post(host + "/api/FollowEvent/AddAddress", obj);
  },
  /**
     * 修改地址
     * @example 
     * {
        "ID": "00000000-0000-0000-0000-000000000000",
        "Name": "string",
        "Phone": "string",
        "AreaCode": "string",
        "Addr": "string",
        "IsDefault": true
        }
     */
  UpdateAddress(obj) {
    return api.post(host + "/api/FollowEvent/UpdateAddress", obj);
  },
  // 删除地址 id=>地址id
  DeleteAddress(id) {
    return api.post(host + "/api/FollowEvent/DeleteAddress", { id });
  },
  /**
     * 提交奖品订单
     * @example 
     * {
     *      id (string, optional),  奖品id
            towid (string, optional) 地址id
        }
     */
  ReceivePrize(obj) {
    return api.post(host + "/api/FollowEvent/ReceivePrize", obj);
  },
  //获取正在运行的活动信息
  GetFollowEvent() {
    return api.post(host + "/api/FollowEvent/GetFollowEvent");
  },
  // 海报活动绑定  点击 公众号会发送海报
  PosterFissionBinding(phone /** 手机号码 */, verificationCode /** 验证码 */) {
    return api.post(host + "/api/FollowEvent/Binding", {
      phone,
      verificationCode
    });
  }
};
//用药提醒
let drug = {
  //全部商品
  GetDrugList(obj) {
    return api.post(host + " /api/DrugRemind/GetDrugList", obj)
  },
  GetUserDrugList() {
    return api.post(host + "/api/DrugRemind/GetUserDrugList")
  },
  //添加闹钟
  GetGrugReminds(obj) {
    return api.post(host + "/api/DrugRemind/GetGrugReminds", obj)
  },
  SaveDrugRemindList(obj) {
    return api.post(host + "/api/DrugRemind/SaveDrugRemindList", obj)
  },
  SaveDrugRemindState(obj) {
    return api.post(host + "/api/DrugRemind/SaveDrugRemindState", obj)
  },
  GetDrugRemind(obj) {
    return api.get(host + "/api/DrugRemind/GetDrugRemind/?ID=" + obj);
  },
}
export default {
  ...videoApi,
  ...posterFission,
  ...drug,
  /** // 修改用户经纬度
     *  Longitude (string, optional): 经度 ,
         Latitude (string, optional): 纬度 ,
         RegionCode (string, optional): 地区编号 ,
         Region (string, optional): 所属地区
     */
  UpdateAccount(obj) {
    return api.post(host2 + "/ymall/user/UpdateAccount", obj);
  },

  // 生成图片验证码
  GetCode() {
    return api
      .get(host2 + "/ymall/getSecurityCode", {
        responseType: "arraybuffer"
      })
      .then(res => {
        return (
          "data:image/png;base64," +
          btoa(
            new Uint8Array(res.data).reduce(
              (data, byte) => data + String.fromCharCode(byte),
              ""
            )
          )
        );
      });
  },

  // 获取用户资料
  GetPatientInfo() {
    // return api.post(host + "/api/Account/GetUserInfo");
    return api.post(host2 + '/ymall/user/GetUserInfo')
  },

  // 用户  获取家庭成员列表
  GetMemberList() {
    return api.post(host + "/api/Account/GetMemberList");
  },
  /**
     * 获取坐诊专题列表
     * obj{
     *     name: 城市code
     *     pageIndex: 页数,
            pageSize: 一页数据数量,
            status:专题状态 2义诊 1普通坐诊 , -1=全部
            dissertationStatus: -1=全部 1=报名中。 2=义诊已经发布但是未到报名时间。 3=已结束
     * }
     * **/
  GetDissertationList(obj) {
    return api.post(host + "/api/Dissertation/GetList", {
      name: obj.name,
      pageIndex: obj.pageIndex,
      pageSize: obj.pageSize,
      status: obj.status,
      dissertationStatus: obj.dissertationStatus
    });
  },
  // 获取医生资料
  GetDoctorInfo() {
    return api.post(host + "/api/Doctor/GetDoctorInfo");
  },
  // 新增或者修改家庭成员
  /**
   *  obj: {
   *     Id (string): 如果是新增，传默认guid值，否则是修改 ,
   *      UserRelationship (integer): 本人 = 1,父亲 = 2,母亲=3,亲戚=4,儿子=5女儿=6, ,
   *     FamilyMemberName (string): 成员名称 ,
   *     Birthday (string): 出生日期 ,
   *     Gender (integer): 性别名称 ,
   *     Mobile (string): 手机号码 ,
   *     HeadImg (string): 头像
   * }
   */
  AddOrUpdateFamilyMember(obj) {
    return api.post(host + "/api/Account/AddOrUpdateFamilyMember", obj);
  },

  // 用户端 根据家庭成员id获取他的档案信息和病例信息
  GetFamilyMemberDTO(id) {
    return api.post(host + "/api/Account/GetFamilyMemberDTO", {
      id
    });
  },

  // 医生端 根据家庭成员id获取他的档案信息和病例信息
  GetFamilyMemberDTODoctor(id) {
    return api.post(host + "/api/Doctor/GetFamilyMemberDTO", {
      id
    });
  },

  // 上传图片
  UploadFile(data /** 图片 */) {
    return api.post(host + "/api/Home/UploadFile", data);
  },

  //用户端 根据病历id获取病例详情
  GetMedicalFile(id) {
    return api.post(host + "/api/Account/GetMedicalFile", {
      id
    });
  },

  //医生端 根据病历id获取病例详情
  GetMedicalFileDoctor(id) {
    return api.post(host + "/api/Doctor/GetMedicalFile", {
      id
    });
  },

  /**
    GetDissertationList(obj) {
        return api.post(host + "/api/Dissertation/GetList", {
            name: obj.name,
            pageIndex: obj.pageIndex,
            pageSize: obj.pageSize,
            status: obj.status,
            dissertationStatus: obj.dissertationStatus
        });
    },
    // 获取医生资料
    GetDoctorInfo() {
        return api.post(host + "/api/Doctor/GetDoctorInfo");
    },
    //获取医生收益
    GetDoctorProfit(obj) {
        return api.post(host + "/api/CalculationProfit/MyProfit", {
            time: obj.time
        });
    },
    //获取医生收益列表
    GetDoctorProfitList(obj) {
        return api.post(host + "/api/CalculationProfit/GetDrugGuideArticlesList", {
            time: obj.time,
            status: obj.status,
            type: obj.type,
            pageIndex: obj.pageIndex,
            pageSize: obj.pageSize
        });
    },
    GetDrugGuideArticles(obj) {
        return api.post(host + "/api/CalculationProfit/GetDrugGuideArticles", {
            type: obj.type,
            id: obj.id
        });
    },
    // 新增或者修改家庭成员
    /**
     *  obj: {
     *     Id (string): 如果是新增，传默认guid值，否则是修改 ,
     *      UserRelationship (integer): 本人 = 1,父亲 = 2,母亲=3,亲戚=4,儿子=5女儿=6, ,
     *     FamilyMemberName (string): 成员名称 ,
     *     Birthday (string): 出生日期 ,
     *     Gender (integer): 性别名称 ,
     *     Mobile (string): 手机号码 ,
     *     HeadImg (string): 头像
     * }
     */
  AddOrUpdateFamilyMember(obj) {
    return api.post(host + "/api/Account/AddOrUpdateFamilyMember", obj);
  },

  // 用户端 根据家庭成员id获取他的档案信息和病例信息
  GetFamilyMemberDTO(id) {
    return api.post(host + "/api/Account/GetFamilyMemberDTO", {
      id
    });
  },

  // 医生端 根据家庭成员id获取他的档案信息和病例信息
  GetFamilyMemberDTODoctor(id) {
    return api.post(host + "/api/Doctor/GetFamilyMemberDTO", {
      id
    });
  },

  // 上传图片
  UploadFile(data /** 图片 */) {
    return api.post(host + "/api/Home/UploadFile", data);
  },

  //用户端 根据病历id获取病例详情
  GetMedicalFile(id) {
    return api.post(host + "/api/Account/GetMedicalFile", {
      id
    });
  },

  //医生端 根据病历id获取病例详情
  GetMedicalFileDoctor(id) {
    return api.post(host + "/api/Doctor/GetMedicalFile", {
      id
    });
  },

  /**
   * 新增或者修改病历
   *  {
   * DoctorsAdvice （string）医嘱,
   * CaseDetails (string) 病情描述
      Id (string, optional): 如果id为默认值，则是新增，否则是修改 ,
      FamilyMemberID (string, optional): 家庭成员id ,
      DiagnosisResult (string, optional): 诊断结果 ,
      DiagnosisDate (string, optional): 诊断时间 ,
      DiagnosisDoctor (string, optional): 诊断医生 ,
      DoctorAlias (integer, optional): 医生职称 ,  1=>主任医生,  2 =>副主任医生 3 =>主治医生  4 =>医师
      DiagnosisDepartment (integer, optional): 诊断科室,
      DiagnosisHospital (string, optional): 诊断医院,
      ListFile:[{
              AccessoryFileType (string, optional): 附件类型 ,
              AccessoryName (string, optional): 附件名称 ,
              AccessorySize (integer, optional): 附件大小 ,
              AccessoryUrl (string, optional): 附件地址 ,
              Sort (integer, optional): 排序
          }]
      }
   *
   *
   *
   *
   */
  AddOrUpdateMedicalFile(obj) {
    return api.post(host + "/api/Account/AddOrUpdateMedicalFile", obj);
  },
  // 获取科室
  GetDepartmentList() {
    return api.post(host + "/api/Home/GetDepartmentList");
  },
  /**
   * 搜索医院
   * {
   *    name=>搜索名称
   *      pageIndex :当前页码,
   *      pageSize:  每一页条数
   * }
   *
   */
  GetHospitalList(obj) {
    return api.post(host + "/api/Home/GetHospitalList", obj);
  },

  /**医生绑定 DoctorBinding
   *   obj{
   *       Mobile (string, optional): 电话号码 ,
   *       MoblieCode (string, optional): 验证码
   *   }
   * */
  DoctorBinding(obj) {
    return api.post(host2 + "/ymall/roleBinding", obj);
  },

  /**发送短信验证码 SendSMS
   * obj{
   *     mobile (string, optional): 手机号 ,
   *     verificationCode (string, optional): 图片验证码
   * }
   * */
  SendSMS(obj) {
    return api.post(host2 + "/ymall/sendModifyPswdSMS", obj);
  },

  /**
   * 修改医生介绍
   * obj{
   *     Introduction (string, optional): 医生简介 ,
   *      Skill (string, optional): 医生擅长
   *  }
   * **/
  UpdateDoctorIntroduction(obj) {
    return api.post(host + "/api/Doctor/UpdateDoctorIntroduction", obj);
  },

  // 获取医生认证信息
  GetDoctorAuthentication() {
    return api.post(host + "/api/Doctor/GetDoctorAuthentication");
  },

  /**
   * 根据医生获取他的就诊记录
   * obj{
   *      name (string, optional): 名称 ,
   *      pageIndex (integer, optional): 页码 ,
   *      pageSize (integer, optional): 页大小
   * }
   */
  GetOrderListByDoctor(obj) {
    return api.post(host + "/api/Doctor/GetOrderListByDoctor", obj);
  },
  // 删除病历  id =>病历id
  DeleteMedicalFile(id) {
    return api.post(host + "/api/Account/DeleteMedicalFile", {
      id
    });
  },
  /**
     * 新增或修改档案
     * Id (string, optional): 如果是新增，传默认值guid，否则是修改 ,
        FamilyMemberID (string, optional): 家庭成员id ,
        Stature (string, optional): 身高 ,
        Weight (string, optional): 体重 ,
        Blood (string, optional): 血型 ,
        MedicalHistory (string, optional): 病史 ,
        AllergyHistory (string, optional): 过敏史 ,
        DrugHistory (string, optional): 历史用药
    */
  AddHealthFile(obj) {
    return api.post(host + "/api/Account/AddHealthFile", obj);
  },
  /**
   * 根据坐诊专题ID 获取详情
   *
   * **/
  GetDissertationDTO(id) {
    return api.post(host + "/api/Dissertation/GetDissertationDTO", {
      id: id
    });
  },

  // 根据医生ID 和坐诊专题ID 获得医生就诊时间段
  GetDissertaionDetail(doctorId, freeClinicId) {
    return api.post(host + "/api/Dissertation/GetDissertaionDetail", {
      doctorId: doctorId,
      dissertationId: freeClinicId
    });
  },

  /**
     * 新增订单 / 报名坐诊
     * obj{
     *     DoctorID (string, optional): 医生id ,
            DoctorName (string, optional): 医生名称 ,
            BegionTime (string, optional): 2019年9月4日(周三)9:00~10:00 ,
            AppointmentsEndTime (string, optional): 报名结束时间 ,
            DissertationID (string, optional): 专题id ,
            Price (integer, optional): 预约价格 ,
            DissertationDetailID (string, optional): 对应那一天的主键id ,
            DissertationDateID (string, optional): 对应哪个时段的主键id ,
            FamilyMemberID (string, optional): 对应看诊的人是谁 ,
            FamilyMemberName (string, optional): 看诊人姓名 ,
            OrderStatus (integer, optional): 订单模式 0，义诊 1，付费
     * }
     * **/
  // 创建义诊订单
  AddOrders(obj) {
    return api.post(host + "/api/Orders/AddOrders", obj);
  },
  // 创建普通坐诊订单
  AddOrders2(obj) {
    return api.post(host + "/api/Orders/AddOrders2", obj);
  },
  /**
   * 根据用户获取他的预约记录
   * @param {string} obj.name 名称 ,  一般传空
   * @param {number} obj.pageIndex 页码 ,
   * @param {number} obj.pageSize 页大小 ,
   * @param {number} obj.status 专题状态 2义诊 1普通坐诊 , ,
   * @param {number} obj.dissertationStatus 1,报名中 2，义诊已经发布但是未到报名时间 3，已结束
   */
  GetOrderList(obj) {
    return api.post(host + "/api/Orders/GetOrderList", obj);
  },
  /**
   *根据预约记录id获取预约详情
   */
  GetOrdersDetailsDTO(id) {
    return api.post(host + "/api/Orders/GetOrdersDetailsDTO", {
      id
    });
  },
  /**
   * 根据专场，医生，天数，时段生预约初始化记录
   * obj{
   *     DoctorID (string, optional): 医生id ,
   *      DissertationID (string, optional): 专题id ,
   *      DissertationDetailID (string, optional): 对应那一天的主键id ,
   *      DissertationDateID (string, optional): 对应哪个时段的主键id
   * }
   * **/
  GetOrdersDTO(obj) {
    return api.post(host + "/api/Orders/GetOrdersDTO", obj);
  },
  /**
   * 根据预约记录id取消报名 取消预约
   * @param {Number} type  取消种类 1 => 普通坐诊  2 => 义诊取消 3 => 拼团取消
   */
  CancelOrder(type, id) {
    return api.post(host + "/api/Orders/CancelOrder" + type, {
      id
    });
  },

  /**
   * 获取医生详细信息包括专场 包括认证信息
   *
   * **/
  GetDoctorDiss() {
    return api.post(host + "/api/Doctor/GetDoctorDiss");
  },
  /**
   * 用户端根据医生ID 查看详细信息包括专场
   * **/
  UserGetDoctorDiss(id) {
    return api.post(host + "/api/Account/GetDoctorDiss", {
      id: id
    });
  },

  // 病人首页获取医生列表
  GetList(top) {
    return api.post(host + "/api/Account/GetList", {
      top
    });
  },

  /**
     * 地图搜索
     *  keyword:'', //搜索关键词
         region:'', // 搜索范围
         key:'LACBZ-MDX6W-NT3RH-OLECY-XVHD3-G5BKA'
     * **/
  MapSearch(keyword, region, key) {
    return api.get(
      "https://apis.map.qq.com/ws/place/v1/suggestion?keyword=" +
      keyword +
      "&region=" +
      region +
      "&key=" +
      key
    );
  },
  // 删除家庭成员
  DeleteFamilyMember(id) {
    return api.post(host + "/api/Account/DeleteFamilyMember", {
      id
    });
  },
  /** 找专家获取医生 搜索医生列表
     * SelectDoctor {
                name (string, optional): 名称 ,
                pageIndex (integer, optional): 页码 ,
                pageSize (integer, optional): 页大小 ,
                positionalTitles (integer, optional): 所属医生职称 ,
                hospitalDepartmentId (string, optional): 所属科室 ,
                hospitalLevel (integer, optional): 医院等级
        }
    */
  GetDoctorList(obj) {
    return api.post(host + "/api/Account/GetDoctorList", obj);
  },

  /**
   * 获取医院详情
   * **/
  GetHospital(id) {
    return api.post(host + "/api/Home/GetHospital", {
      id: id
    });
  },
  /**
   * 根据预约单id 获取助力详情
   */
  GetAssistance(id) {
    return api.post(host + "/api/Orders/GetAssistance", {
      id: id
    });
  },
  /**
   * 根据预约单id进行助力
   */
  AddAssistance(id) {
    return api.post(host + "/api/Orders/AddAssistance", {
      id: id
    });
  },
  /**
   * 微信jsSDK获取参数
   */
  GetSing(url = process.env.VUE_APP_Url) {
    return api.get(host + "/api/Home/GetSing?url=" + url + "/dist/index.html");
  },
  /**
   * 好友助力获取分享二维码
   */
  TemporaryCreateQRCode(id) {
    return api.post(host + "/api/Home/TemporaryCreateQRCode?id=" + id);
  },
  // 首页获取推荐医生列表
  RecommendDoctorList(obj) {
    return api.post(host + "/api/Dissertation/RecommendDoctorList", obj);
  },
  //
  /**获取开通城市
     * return{
     *  AreaCode (string, optional): 开通城市 ,
        CooperationStatus (integer, optional): 1未开通，2已开通，3即将开通 ,
        AreaName (string, optional): 城市名称
     * }
     * **/
  GetCityList() {
    return api.post(host + "/api/Orders/GetCityList");
  },
  // 预约下场坐诊发送短信验证码  和预约手术订单坐诊
  SendModifyPswdSMS(obj) {
    return api.post(host + "/api/Orders/SendModifyPswdSMS", obj);
  },
  // 预约下次坐诊
  /**
     *   areaCode (string, optional): 就诊城市code ,
         hospitalID (integer, optional): 出诊医院id ,
         doctorID (string, optional): 医生id ,
         orderTime (string, optional): 期望日期 ,
         phone (string, optional): 手机号码 ,
         verificationCode (string, optional): 短信验证码 ，如果获取的到手机号码则不填
     * **/
  NextOrder(obj) {
    return api.post(host + "/api/Orders/NextOrder", obj);
  },

  /**根据医生ID 获取下次预约的基本信息
   * **/
  GetNextOrder(id) {
    return api.post(host + "/api/Orders/GetNextOrder", {
      id: id
    });
  },
  /**根据城市Code 加载开通的一员
   * **/
  GetCityHospital(areacode) {
    return api.post(host + "/api/Orders/GetCityHospital", {
      areacode: areacode
    });
  },

  getAreaCode(location) {
    return api.jsonp(
      "http://api.map.baidu.com/geocoder/v2/?ak=RhbSqGyRru6TtN3EGPsOG0Gm8yrslyOu&callback=renderReverse&location=" +
      location +
      "&output=json&pois=1"
    );
  },

  /**获取拼团列表
   *  @param obj Object
   * obj.areaCodd {string} 城市code
   * obj.name {string} 名称
   * obj.pageIndex {integer} 页码
   * obj.pageSize {integer} 页大小
   * obj.positionalTitles {integer} 所属医生职称
   * obj.hospitalDepartmentId {string} 所属科室
   * **/
  getUnionList(obj) {
    return api.post(host + "/api/GroupTable/GetList", obj);
  },

  /**获取拼团详情
   * @param id {string}
   */
  GetDissByTable(id) {
    return api.post(host + "/api/GroupTable/GetDissByTable", {
      id: id
    });
  },

  /**  发起一个拼团获取可以选择的天数时间
   * @param id {string}
   */
  GetTableDetails(obj) {
    return api.post(host + "/api/GroupTable/GetTableDetails", obj);
  },

  /**自己发起拼团按钮进行预览 拼团信息
   * @param obj
   * dissertaionDetailId (string, optional): 专题天数id ,
       dissertationDateId (string, optional): 选择的专题时间段id ,
       areaCode (string, optional): 所属医院的地区编号 ,
       hospitalID (integer, optional): 医院id ,
       familyMemberId (string, optional): 看病家人id 预览的时候不填
   * **/
  AddPreviewTable(obj) {
    return api.post(host + "/api/GroupTable/AddPreviewTable", obj);
  },

  /**参与别人拼团按钮进行预览 拼团信息
     * @param obj
     * groupTableID (string, optional): 拼团的id ,
     dissertationDateId (string, optional): 专题时间段id ,
     familyMemberId (string, optional): 看病家人id 预览时不填
     * **/
  ParticipateInTable(obj) {
    return api.post(host + "/api/GroupTable/ParticipateInTable", obj);
  },

  /**  发起一个新的拼团,返回的id是订单id
     * @param obj {Object}
     * obj.dissertaionDetailId (string, optional)= 专题天数id ,
        obj.dissertationDateId (string, optional): 选择的专题时间段id ,
        obj.areaCode (string, optional): 所属医院的地区编号 ,
        obj.hospitalID (integer, optional): 医院id ,
        obj.hospitalName (string, optional): 医院名称

        @return OrderId
     */
  AddGroupTable(obj) {
    return api.post(host + "/api/GroupTable/AddGroupTable", obj);
  },

  /** 参与一个拼团,返回的id是订单id
     * @param obj {Object}
     * obj.groupTableID (string, optional): 拼团的id ,
        obj.dissertationDateId (string, optional): 专题时间段id

       @return OrderId
     */
  AddParticipateInTable(obj) {
    return api.post(host + "/api/GroupTable/AddParticipateInTable", obj);
  },

  /**根据订单id返回拼团的订单详情
   *@param id {string} 订单id
   * **/
  GetGroupOrder(id) {
    return api.post(host + "/api/GroupTable/GetGroupOrder", {
      id: id
    });
  },
  /**
   * 获取轮播图
   * */
  GetRotationChartList(id) {
    return api.post(host + "/api/Home/GetRotationChartList", {
      id
    });
  },
  /**
     * 根据用户获取所有订单
     * @param {object} data 请求订单数据需要的参数
     *          data ：{
    *   "pageIndex": 0,// 当前页
        "pageSize": 0,//每一页大小
        "Status": 0//状态  订单状态0全部 1待就诊 2，已完成 ，3已退款 ，4 已取消 5，待支付
     *
     *          }
     * */
  GetByOrderList(data) {
    return api.post(host + "/api/Orders/GetByOrderList", data);
  },

  // 微信支付
  wxPay(orderId) {
    return api.post(host + "/api/Payment/WxPay", {
      id: orderId
    });
  },
  /**
     * 获取健康资讯文章
     * {
        "pageIndex": 0,
        "pageSize": 0,
        "name": "string" // 关键字
        }
     *  */
  GetDrugGuideArticlesList(obj) {
    return api.post(host + "/api/CMS/GetDrugGuideArticlesList", obj);
  },
  /**
   * 增加阅读量
   * @param {number} 文章id
   *  */
  AddReadCount(id) {
    return api.post(host + "/api/CMS/AddReadCount", {
      id
    });
  },
  /**
   * 点赞
   * @param {number} 文章id
   *  */
  AddFabulous(id) {
    return api.post(host + "/api/CMS/AddFabulous", {
      id
    });
  },
  /**
     * 根据用户获取所有手术订单
     * @param {number} 文章id
    * {
        "pageIndex": 0,
        "pageSize": 0,
        "Status": 0 // 状态  0=>请求全部状态
         1待支付，2待安排 3预约成功，4预约失败已退款 , 5  已取消 ，6 退款失败
        }
     *  */
  GetByOPSOrderList(obj) {
    return api.post(host + "/api/OperationOrder/GetByOrderList", obj);
  },
  //根据id获取手术订单详细
  GetOrder(id) {
    return api.post(host + "/api/OperationOrder/GetOrder", {
      id
    });
  },
  /**
     *
     *  新增手术预约订单
     * @param {object} obj 请求参数
     * @example
     * {
            familyMemberId (string, optional): 就诊人id ,
            medicalFileId (string, optional): 病例id ,
            departmentId (string, optional): 科室id ,
            department (string, optional): 科室名称 ,
            positionalTitles (integer, optional): 职称 ,
            operationTime (string, optional): 就诊时间 ,
            areaCode (string, optional): 就诊地点 ,
            areaName (string, optional): 区域名称 ,
            phone (string, optional): 电话号码 ,
            verificationCode (string, optional): 短信验证码 ，如果获取的到手机号码则不填
        }
     * */
  AddOrder(obj) {
    return api.post(host + "/api/OperationOrder/AddOrder", obj);
  },
  // 手术预约取消订单
  cancelOrder(id) {
    return api.post(host + "/api/OperationOrder/CancelOrder", {
      id
    });
  },

  GetDissertationList(obj) {
    return api.post(host + "/api/Dissertation/GetList", {
      name: obj.name,
      pageIndex: obj.pageIndex,
      pageSize: obj.pageSize,
      status: obj.status,
      dissertationStatus: obj.dissertationStatus
    });
  },
  // 获取医生资料
  GetDoctorInfo() {
    return api.post(host + "/api/Doctor/GetDoctorInfo");
  },
    //获取医生收益
  GetDoctorProfit(obj) {
    return api.post(host2 + "/ymall/myProfit", {
      time: obj.time
    });
  },

  // 获取下级医生收益
  GetDoctorProfitByJunior(obj) {
    return api.post(host2 + "/ymall/profit", obj);
  },
  //获取医生收益列表
  GetDoctorProfitList(obj) {
    return api.post(host2 + "/ymall/getDrugGuideArticlesList", {
      time: obj.time,
      status: obj.status,
      type: obj.type,
      pageIndex: obj.pageIndex,
      pageSize: obj.pageSize
    });
  },
  GetDrugGuideArticles(obj) {
    return api.post(host2 + "/ymall/getDrugGuideArticles", {
      type: obj.type,
      id: obj.id
    })
  },
  // 新增或者修改家庭成员
  /**
   *  obj: {
   *     Id (string): 如果是新增，传默认guid值，否则是修改 ,
   *      UserRelationship (integer): 本人 = 1,父亲 = 2,母亲=3,亲戚=4,儿子=5女儿=6, ,
   *     FamilyMemberName (string): 成员名称 ,
   *     Birthday (string): 出生日期 ,
   *     Gender (integer): 性别名称 ,
   *     Mobile (string): 手机号码 ,
   *     HeadImg (string): 头像
   * }
   */
  AddOrUpdateFamilyMember(obj) {
    return api.post(host + "/api/Account/AddOrUpdateFamilyMember", obj);
  },

  // 用户端 根据家庭成员id获取他的档案信息和病例信息
  GetFamilyMemberDTO(id) {
    return api.post(host + "/api/Account/GetFamilyMemberDTO", {
      id
    });
  },

  // 医生端 根据家庭成员id获取他的档案信息和病例信息
  GetFamilyMemberDTODoctor(id) {
    return api.post(host + "/api/Doctor/GetFamilyMemberDTO", {
      id
    });
  },

  // 上传图片
  UploadFile(data /** 图片 */) {
    return api.post(host + "/api/Home/UploadFile", data);
  },

  //用户端 根据病历id获取病例详情
  GetMedicalFile(id) {
    return api.post(host + "/api/Account/GetMedicalFile", {
      id
    });
  },

  //医生端 根据病历id获取病例详情
  GetMedicalFileDoctor(id) {
    return api.post(host + "/api/Doctor/GetMedicalFile", {
      id
    });
  },

};
